RelationTagsHandler.RelationHolder (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.ejb.dd.RelationTagsHandler.RelationHolder class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.ejb.dd
Class RelationTagsHandler.RelationHolder

    java.lang.Object
      xdoclet.modules.ejb.dd.RelationTagsHandler.RelationHolder

Enclosing class:
  RelationTagsHandler

public class RelationTagsHandler.RelationHolder
extends Object

Holds class/method of the two end points of a relationship.

Author:
  Aslak Hellesøy
created
  August 28, 2001

Constructor Summary
`RelationTagsHandler.RelationHolder()`

Method Summary
`boolean` | `equals(Object o)` Describe what the method does
`xjavadoc.XClass` | `getLeft()` Gets the Left attribute of the RelationHolder object
`xjavadoc.XMethod` | `getLeftMethod()` Gets the LeftMethod attribute of the RelationHolder object
`String` | `getLeftMultiplicity()` Gets the LeftMultiplicity attribute of the RelationHolder object
`String` | `getLeftRoleName()` Gets the LeftRoleName attribute of the RelationHolder object
`String` | `getName()`
`xjavadoc.XClass` | `getRight()` Gets the Right attribute of the RelationHolder object
`xjavadoc.XMethod` | `getRightMethod()` Gets the RightMethod attribute of the RelationHolder object
`String` | `getRightMultiplicity()` Gets the RightMultiplicity attribute of the RelationHolder object
`String` | `getRightRoleName()` Gets the RightRoleName attribute of the RelationHolder object
`int` | `hashCode()` Describe what the method does
`boolean` | `isBidirectional()` Gets the Bidirectional attribute of the RelationHolder object
`boolean` | `isLeftCascadeDelete()` Gets the LeftCascadeDelete attribute of the RelationHolder object
`boolean` | `isLeftMany()` Gets the LeftMany attribute of the RelationHolder object
`boolean` | `isLeftNavigable()` Gets the LeftNavigable attribute of the RelationHolder object
`boolean` | `isMany2Many()` Gets the Many2Many attribute of the RelationHolder object
`boolean` | `isOne2Many()` Gets the One2Many attribute of the RelationHolder object
`boolean` | `isOne2One()` Gets the One2One attribute of the RelationHolder object
`boolean` | `isRightCascadeDelete()` Gets the RightCascadeDelete attribute of the RelationHolder object
`boolean` | `isRightMany()` Gets the RightMany attribute of the RelationHolder object
`boolean` | `isRightNavigable()` Gets the RightNavigable attribute of the RelationHolder object
`void` | `swap()` Describe what the method does
`String` | `toString()` Describe what the method does

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RelationTagsHandler.RelationHolder

    public RelationTagsHandler.RelationHolder()

Method Detail

### isBidirectional

    public boolean isBidirectional()

  Gets the Bidirectional attribute of the RelationHolder object

  Returns:
    The Bidirectional value

### isOne2One

    public boolean isOne2One()
                      throws XDocletException

  Gets the One2One attribute of the RelationHolder object

  Returns:
    The One2One value
  Throws:
    `XDocletException`

### isOne2Many

    public boolean isOne2Many()
                       throws XDocletException

  Gets the One2Many attribute of the RelationHolder object

  Returns:
    The One2Many value
  Throws:
    `XDocletException`

### isMany2Many

    public boolean isMany2Many()
                        throws XDocletException

  Gets the Many2Many attribute of the RelationHolder object

  Returns:
    The Many2Many value
  Throws:
    `XDocletException`

### getLeftMultiplicity

    public String getLeftMultiplicity()
                               throws XDocletException

  Gets the LeftMultiplicity attribute of the RelationHolder object

  Returns:
    The LeftMultiplicity value
  Throws:
    `XDocletException`

### getRightMultiplicity

    public String getRightMultiplicity()
                                throws XDocletException

  Gets the RightMultiplicity attribute of the RelationHolder object

  Returns:
    The RightMultiplicity value
  Throws:
    `XDocletException`

### getLeft

    public xjavadoc.XClass getLeft()

  Gets the Left attribute of the RelationHolder object

  Returns:
    The Left value

### getLeftMethod

    public xjavadoc.XMethod getLeftMethod()

  Gets the LeftMethod attribute of the RelationHolder object

  Returns:
    The LeftMethod value

### getRight

    public xjavadoc.XClass getRight()

  Gets the Right attribute of the RelationHolder object

  Returns:
    The Right value

### getRightMethod

    public xjavadoc.XMethod getRightMethod()

  Gets the RightMethod attribute of the RelationHolder object

  Returns:
    The RightMethod value

### isRightNavigable

    public boolean isRightNavigable()

  Gets the RightNavigable attribute of the RelationHolder object

  Returns:
    The RightNavigable value

### isLeftNavigable

    public boolean isLeftNavigable()

  Gets the LeftNavigable attribute of the RelationHolder object

  Returns:
    The LeftNavigable value

### getLeftRoleName

    public String getLeftRoleName()
                           throws XDocletException

  Gets the LeftRoleName attribute of the RelationHolder object

  Returns:
    The LeftRoleName value
  Throws:
    `XDocletException`

### getRightRoleName

    public String getRightRoleName()
                            throws XDocletException

  Gets the RightRoleName attribute of the RelationHolder object

  Returns:
    The RightRoleName value
  Throws:
    `XDocletException`

### isLeftMany

    public boolean isLeftMany()
                       throws XDocletException

  Gets the LeftMany attribute of the RelationHolder object

  Returns:
    The LeftMany value
  Throws:
    `XDocletException`

### isRightMany

    public boolean isRightMany()
                        throws XDocletException

  Gets the RightMany attribute of the RelationHolder object

  Returns:
    The RightMany value
  Throws:
    `XDocletException`

### isLeftCascadeDelete

    public boolean isLeftCascadeDelete()
                                throws XDocletException

  Gets the LeftCascadeDelete attribute of the RelationHolder object

  Returns:
    The LeftCascadeDelete value
  Throws:
    `XDocletException`

### isRightCascadeDelete

    public boolean isRightCascadeDelete()
                                 throws XDocletException

  Gets the RightCascadeDelete attribute of the RelationHolder object

  Returns:
    The RightCascadeDelete value
  Throws:
    `XDocletException`

### getName

    public String getName()
                   throws XDocletException

  Returns:
    the name of the relation
  Throws:
    `XDocletException`

### swap

    public void swap()

  Describe what the method does

### hashCode

    public int hashCode()

  Describe what the method does

  Returns:
    Describe the return value

### toString

    public String toString()

  Describe what the method does

  Returns:
    Describe the return value

### equals

    public boolean equals(Object o)

  Describe what the method does

  Parameters:
    `o` - Describe what the parameter does
  Returns:
    Describe the return value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD